SND_DMA_GET_RESE(9)

NAME
snd_dma_get_reserved_buf - get the reserved buffer for the given device

SYNOPSIS

size_t snd_dma_get_reserved_buf (struct snd_dma_buffer * dmab, unsigned int id);

ARGUMENTS

dmab
    the buffer allocation record to store

id  the buffer id

DESCRIPTION

Looks for the reserved-buffer list and re-uses if the same buffer is found in the list. When the buffer is found, it's removed from the free list.

Returns the size of buffer if the buffer is found, or zero if not found.